Armadillo Setup Errors

I have just gone through setup in Armadillo and after the last step I get the following message:

1
Slim Application Error
The application could not run because of the following error:

Details
Code: 2
Message: Trying to access array offset on value of type null
File: /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/core/model/Armadillo_Data.php
Line: 767
Trace
#0 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/core/model/Armadillo_Data.php(767): Slim::handleErrors(2, ‘Trying to acces…’, ‘/home/sites/6a/…’, 767)
#1 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/index.php(660): Armadillo_Data::installArmadillo(Array)
#2 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/Slim/Route.php(418): install()
#3 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/Slim/Slim.php(1192): Slim_Route->dispatch()
#4 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/Slim/Middleware/Flash.php(86): Slim->call()
#5 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/Slim/Middleware/MethodOverride.php(93): Slim_Middleware_Flash->call()
#6 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/Slim/Middleware/PrettyExceptions.php(67): Slim_Middleware_MethodOverride->call()
#7 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/Slim/Slim.php(1143): Slim_Middleware_PrettyExceptions->call()
#8 /home/sites/6a/a/a6456ae224/public_html/rw_common/plugins/stacks/armadillo/index.php(1074): Slim->run()
#9 {main}

Anyone know why this might be?

Also after logging out and then back in the the Blog tab in settings is no longer selectable only the General Settings.

It is more than likely you are running PHP 8 on the server and have an older version of Armadillo, or you have an up to date version of Armadillo and are running an old version of PHP such as 7.3 or 7.4.

The latest version of Armadillo (that I have) is 2.9.12, update to that and then check your PHP version in your Cpanel of your hosting and upgrade to 8x.

I had the same slim errors in a post a few months ago and that was the issue.

Thanks for that but I am currently running Armadillo v 2.9.12 and PHP 8.2 so that can’t be the issue.

Could you try switching to PHP 8.1 and see if the error still persists?

Changed to PHP 8.1 but still persists

Hm, strange. Tagging the dev of the stack… @NimbleHost

@Konfuzzious
Even though the error message showed at the end of the setup it still seems to work, although I wonder if it being effected in some way.
Here’s the page where the blog is installed:
https://highvoltageministry.co.uk/blog/

I’m having slim errors again now too with the latest of Armadillo and PHP. Posted about it in an old thread.

Downgrading to 7.4 does fix the error, fwiw.

It’s a shame that Jonathan @NimbleHost hasn’t commented on this.

He’s been supporting this for over a decade, and this site isn’t in any way an official support forum for Nimblehost. I wouldn’t consider it a shame he hasn’t responded to you here; it would be a bonus if he does.

2 Likes

@Pixelart This must be something new under PHP 8.2 that I’ve not run into before. I’m not able to reproduce when setting up Armadillo for the first time under PHP 8.2, so it may take me some time to figure out what’s going on exactly.

2 Likes

It wasn’t meant as a criticism.

1 Like

FWIW, the slim errors I am receiving again were with PHP 8.1 (Armadillo 2.9.12).

This is Dreamhost. After a PHP release has been out for a period of time they eventually automatically update your domains. PHP 8.2 is available but is not yet “recommended” and I haven’t touched it yet.